cURL
curl --request POST \
--url https://api.brightdata.com/api/{PARTNER_NAME}/usage_webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhook": {
"trigger": 123,
"id": "<string>"
}
}
'import requests
url = "https://api.brightdata.com/api/{PARTNER_NAME}/usage_webhook"
payload = { "webhook": {
"trigger": 123,
"id": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({webhook: {trigger: 123, id: '<string>'}})
};
fetch('https://api.brightdata.com/api/{PARTNER_NAME}/usage_webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Reseller API
Create or change usage webhook settings
Use the Bright Data Reseller API to create or Change Usage Webhook Settings. POST /api//usage_webhook returns 200 OK with a JSON response.
POST
/
api
/
{PARTNER_NAME}
/
usage_webhook
cURL
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Path Parameters
Name of the proxy zone which will service your request.
Query Parameters
Valid customer id
Name of existing zone
Body
application/json
Show child attributes
Show child attributes
Response
200
OK
Was this page helpful?